package com.hc.gpbusiness.service;

import com.hc.gpbusiness.dto.WebNewsDto;
import com.hc.gpbusiness.model.WebNews;
import org.springframework.stereotype.Component;
import com.github.pagehelper.PageInfo;


/**
 * 新闻表
 * (News)表服务接口
 *
 * @author java
 * @since 2020-07-29 16:23:10
 */

@Component
public interface WebNewsService {

    /**
     * 通过ID查询单条数据
     *
     * @param newsId 主键
     * @return 实例对象
     */
    WebNewsDto queryModelById(Integer newsId);
    WebNews queryById(Integer newsId);

    /**
     * 新增数据
     *
     * @param news 实例对象
     * @return 实例对象
     */
    WebNews insert(WebNews news);

    /**
     * 修改数据
     *
     * @param news 实例对象
     * @return 实例对象
     */
    WebNews update(WebNews news);

    /**
     * 通过主键删除数据
     *
     * @param newsId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer newsId);

    /**
     * 分页查询多条数据
     *
     * @param page     页码
     * @param size     查询条数
     * @param moduleId 板块id
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size, Integer moduleId);


}